Messageattempt 3 endpoints

DELETE /api/v1/app/{app_id}/msg/{msg_id}/attempt/{attempt_id}/content

Deletes the given attempt’s response body. Useful when an endpoint accidentally returned sensitive content.

operationId: MessageAttempt_deleteResponseBody

Parameters

Name In Required Type Description
app_id path required string

The app’s ID or UID

msg_id path required string

The msg’s ID or UID

attempt_id path required string

The attempt’s ID

Responses

204

no content

400

Bad request

401

Unauthorized

403

Forbidden

404

Not Found

409

Conflict

422

Validation Error

429

Too Many Requests

DELETE /api/v1/app/{app_id}/msg/{msg_id}/attempt/{attempt_id}/content
GET /api/v1/app/{app_id}/msg/{msg_id}/endpoint

List endpoints attempted by a given message. Additionally includes metadata about the latest message attempt.
By default, endpoints are listed in ascending order by ID.

operationId: MessageAttempt_listAttemptedDestinations

Parameters

Name In Required Type Description
limit query optional integer

Limit the number of returned items

iterator query optional string

The iterator returned from a prior invocation

app_id path required string

The app’s ID or UID

msg_id path required string

The msg’s ID or UID

Responses

200
400

Bad request

401

Unauthorized

403

Forbidden

404

Not Found

409

Conflict

422

Validation Error

429

Too Many Requests

GET /api/v1/app/{app_id}/msg/{msg_id}/endpoint
POST /api/v1/app/{app_id}/msg/{msg_id}/endpoint/{endpoint_id}/resend

Resend a message to the specified endpoint.

operationId: MessageAttempt_resendWebhook

Parameters

Name In Required Type Description
app_id path required string

The app’s ID or UID

msg_id path required string

The msg’s ID or UID

endpoint_id path required string

The ep’s ID or UID

idempotency-key header optional string

The request’s idempotency key

Responses

202

no content

400

Bad request

401

Unauthorized

403

Forbidden

404

Not Found

409

Conflict

422

Validation Error

429

Too Many Requests

POST /api/v1/app/{app_id}/msg/{msg_id}/endpoint/{endpoint_id}/resend

Statistics 2 endpoints

POST /api/v1/stats/usage/app

Creates a background task to calculate the message destinations for all applications in the environment.

Note that this endpoint is asynchronous. You will need to poll the Get Background Task endpoint to
retrieve the results of the operation.

operationId: Statistics_calculateMessageDestinationsForApps

Parameters

Name In Required Type Description
idempotency-key header optional string

The request’s idempotency key

Request Body

required
application/json
schema AppUsageStatsIn
Property Type Required
since string required
until string required
appIds array optional

Responses

202
400

Bad request

401

Unauthorized

403

Forbidden

404

Not Found

409

Conflict

422

Validation Error

429

Too Many Requests

POST /api/v1/stats/usage/app
PUT /api/v1/stats/usage/event-types

Creates a background task to calculate the listed event types for all apps in the organization.

Note that this endpoint is asynchronous. You will need to poll the Get Background Task endpoint to
retrieve the results of the operation.

operationId: Statistics_calculateEventTypesForApps

Responses

202
400

Bad request

401

Unauthorized

403

Forbidden

404

Not Found

409

Conflict

422

Validation Error

429

Too Many Requests

PUT /api/v1/stats/usage/event-types